using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace PCUT.Entities
{
    public class UpsertFile
    {
        [JsonProperty("file")]
        public string FileId { get; set; }

        [JsonProperty("name")]
        public string Name { get; set; }

        [JsonProperty("category")]
        public string Category { get; set; }

        [JsonProperty("type")]
        public string Type { get; set; }

        [JsonProperty("brand")]
        public string Brand { get; set; }

        [JsonProperty("year")]
        public string Year { get; set; }

        [JsonProperty("series")]
        public string Series { get; set; }

        [JsonProperty("_model")]
        public string Model { get; set; }

        [JsonProperty("subType")]
        public string SubType { get; set; }

        [JsonProperty("area")]
        public string Area { get; set; }

        [JsonProperty("remarks")]
        public string Remarks { get; set; }

        [JsonProperty("thumbnail")]
        public string Thumbnail { get; set; }
    }
}
